#ifndef MESSANGER_H
#define MESSANGER_H

#include "aitest.h"

class Messanger:public QListWidget
{
	public:
		Messanger(QWidget *parent = 0);

		~Messanger();

		//Messanger& operator << (const QString &text);
		template <typename T> Messanger& operator << (const T &value)
		{
			qDebug()<<value;
			QListWidgetItem *item = new QListWidgetItem(QString("%1").arg(value), this);
			addItem(item);
			scrollToItem(item);

			return *this;
		}


		static Messanger& Post();
		
		
	private:
		static Messanger *me;

		
};





#endif